package model

import kotlinx.serialization.Serializable

fun parseType(type: String): String {
    return when (type) {
        "スマイル" -> "甜美"
        "ピュア" -> "清纯"
        "クール" -> "帅气"
        else -> "甜美"
    }
}

@Serializable
data class Card (
    val id: Int,                                // 卡牌id
    val name: String,                           // 卡牌名称
    val characterId: Int,                       // 角色id
    var characterName: String? = "",            // 角色名称
    var type: String? = "甜美",                  // 类型
    var rarity: String? = "R",                  // 稀有性
    var maxLevel: String? = "",                 // 最大等级
    var maxHp: String? = "1",                   // 最大血量
    var smile: String? = "1",                   // 甜美值
    var pure: String? = "1",                    // 清纯值
    var cool: String? = "1",                    // 帅气值
    var illustId: String,                       // 通常图片文件名
    var evolveIllustId: String,                 // 觉醒图片文件名
    var group: String? = "",                    // 所属团组
    var team: String? = "",                     // 所属小组名
    var date: String? = "",                     // 实装日期
    var centerSkillName: String? = "",          // 中心技能名称
    var centerSkillInfo: String? = "",          // 中心技能介绍
    var specialSkillName: String? = "",         // 中心技能名称
    var specialSkillInfo: String? = "",         // 中心技能介绍
)
